Bug 1468379 - bip fails to start in F26
bip fails to start in F26
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bip (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Williamson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-06 17:43 EDT by Tom Hughes
Modified: 2017-08-19 13:48 EDT (History)
3 users (show)

See Also:
Fixed In Version: bip-0.8.9-12.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-19 13:48:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Hughes 2017-07-06 17:43:43 EDT
Description of problem:

The bip service fails to start, logging an error as follows:

Jul 06 22:35:06 emscote.compton.nu bip[1541]: 06-07-2017 22:35:06 ERROR: no $HOME !, do you live in a trailer ?

It seems that bip now requires HOME to be set, and systemd doesn't set it by default. I worked around it by adding a line to the unit file:

Environment=HOME=/

Version-Release number of selected component (if applicable):

bip-0.8.9-10.fc25.x86_64
Comment 1 Adam Williamson 2017-07-19 14:25:04 EDT
Well, bip hasn't changed...must be a systemd change. Will look into it when I get a sec. Thanks for the report.
Comment 2 Fedora Update System 2017-07-25 18:37:17 EDT
bip-0.8.9-12.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cb269af94e
Comment 3 Fedora Update System 2017-07-26 22:52:30 EDT
bip-0.8.9-12.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cb269af94e
Comment 4 Fedora Update System 2017-08-19 13:48:59 EDT
bip-0.8.9-12.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.